Bug 827584 - Choose more fitting name for the user instance create script (jboss-as-cp)
Summary: Choose more fitting name for the user instance create script (jboss-as-cp)
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: jboss-as
Version: 17
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Marek Goldmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-01 19:28 UTC by Dan Allen
Modified: 2014-07-25 03:19 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-08-01 04:57:30 UTC


Attachments (Terms of Use)
Proposed jboss-as-instance script (3.04 KB, application/x-shellscript)
2012-08-24 22:56 UTC, Dan Allen
no flags Details

Description Dan Allen 2012-06-01 19:28:58 UTC
Description of problem:

The name of the script to create a user instance of JBoss AS is not intuitive.

Version-Release number of selected component (if applicable):

7.1.1-2.fc17-noarch

I'd like to propose the following alternatives:

- jboss-as-instance
  Comment: consistent with the equivalent command for tcServer)

- jboss-as-user-instance
  Comment: more specific about the instance type, leaves door open for actions)

- jboss-as-create-instance
  Comment: a bit more explicit about what it's doing

- jboss-as-new-instance
  Comment: a bit shorter, just as clear

- jboss-as-create
  Comment: implies instance, if we really want to keep it short
 
My preferred choice is either jboss-as-new-instance or jboss-as-user-instance.

For jboss-as-user-instance, the command arguments would be altered as:

jboss-as-user-instance [<command>] [<args>]

For example:

jboss-as-user-instance create -l $HOME/jboss-as-user-instance -c standalone-web.xml

I've found two similar script to help give ideas for this command and possible argument names.

tcServer: http://static.springsource.com/projects/tc-server/6.0/getstart/cgscreateinst.html
db2icrt: http://publib.boulder.ibm.com/infocenter/db2luw/v9/index.jsp?topic=%2Fcom.ibm.db2.udb.admin.doc%2Fdoc%2Fr0002057.htm

Comment 1 Marek Goldmann 2012-06-04 10:35:29 UTC
I was thinking about various names when I was creating this script and we (with Carlo) decided to use the jboss-as-cp name. I agree, that it could be better. I like the "jboss-as-user-instance" name which gives us some flexibility (for example adding 'remove' action).

Let's leave this open for now (jboss-as-7.1.1-4 will not be released very soon). If someone has comments to it, please add them and we'll choose the best from the list.

Comment 2 Dan Allen 2012-06-07 06:22:04 UTC
Hmm, I really hope that we can agree on changing it. I have an additional reason for why we might want to do that. When I first heard from you about the jboss-as-cp script I thought it meant that it was just going to copy all of JBoss AS to a writable location, and it made me skeptical about the packaging effort. When I came to realize it was actually just creating a new domain / instance with a handful of files, then I totally understood the benefit of the package.

Thus, I think the right name for this script is important for perception (I have to assume that other developers with see "cp" and think "copy"). I don't think we should drag our feet and let it get too entrenched.

Perhaps we could use a doodle poll to encourage feedback. wdyt? I'd even say that having input from the AS 7 team and contributors is important here.

Comment 3 Dan Allen 2012-08-24 22:56:34 UTC
Created attachment 606968 [details]
Proposed jboss-as-instance script

I've attached a proposed jboss-as-instance script. The usage is as follows:

Manages custom instances of JBoss AS that are based on the system installation but don't require special privileges to run.

COMMANDS:
   create  Creates a JBoss AS instance by copying required folder structure, configuration files and startup script to specified location
   update  Copies the configuration xml file from $JBOSS_HOME/docs/examples/config/ into the instance directory
   delete  Removes the JBoss AS instance at the specified location

OPTIONS:
   -h      Show this message
   -c      JBoss AS configuration xml file (see $JBOSS_HOME/docs/examples/configs/), default: standalone-web.xml
   -l, -d  Location where the directory structure should be created (required)
   -p      Port offset, see https://community.jboss.org/docs/DOC-16705

Comment 4 Fedora End Of Life 2013-07-04 00:49:53 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2013-08-01 04:57:35 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.